Skip to main content
PUT
Update financial commitment report

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

financial_commitment_report_token
string
required

Body

application/json

Update a FinancialCommitmentReport.

title
string

The title of the FinancialCommitmentReport.

filter
string

The filter query language to apply to the FinancialCommitmentReport. Additional documentation available at https://docs.vantage.sh/vql.

start_date
string<date>

The start date of the FinancialCommitmentReport. YYYY-MM-DD formatted. Incompatible with 'date_interval' parameter.

Example:

"2024-03-01"

end_date
string<date>

The end date of the FinancialCommitmentReport. YYYY-MM-DD formatted. Incompatible with 'date_interval' parameter.

Example:

"2024-03-01"

date_interval
enum<string>

The date interval of the FinancialCommitmentReport. Unless 'custom' is used, this is incompatible with 'start_date' and 'end_date' parameters. Defaults to 'last_3_months'.

Available options:
this_month,
last_7_days,
last_30_days,
last_month,
last_3_months,
last_6_months,
custom,
last_12_months,
last_24_months,
last_36_months,
year_to_date,
last_3_days,
last_14_days
date_bucket
enum<string>

The date bucket of the FinancialCommitmentReport.

Available options:
hour,
day,
week,
month,
quarter
on_demand_costs_scope
enum<string>

The scope for the costs. Possible values: discountable, all.

Available options:
discountable,
all
groupings
string[]

Grouping values for aggregating costs on the FinancialCommitmentReport. Valid groupings: cost_type, commitment_type, commitment_id, service, resource_account_id, provider_account_id, region, cost_category, cost_sub_category, instance_type, tag, tag:<label_name>.

Response

FinancialCommitmentReport model

token
string
required
title
string
required

The title of the FinancialCommitmentReport.

Example:

"Acme123 Financial Commitment Report"

default
boolean
required

Indicates whether the FinancialCommitmentReport is the default report.

created_at
string
required

The date and time, in UTC, the report was created. ISO 8601 Formatted.

Example:

"2024-03-19T00:00:00Z"

workspace_token
string
required

The token for the Workspace the FinancialCommitmentReport is a part of.

start_date
string | null
required

The start date for the FinancialCommitmentReport. Only set for custom date ranges. ISO 8601 Formatted.

Example:

"2024-03-01"

end_date
string | null
required

The end date for the FinancialCommitmentReport. Only set for custom date ranges. ISO 8601 Formatted.

Example:

"2024-03-20"

date_interval
string | null
required

The date range for the FinancialCommitmentReport. Only present if a custom date range is not specified.

Example:

"last_month"

date_bucket
string
required

How costs are grouped and displayed in the FinancialCommitmentReport. Possible values: day, week, month.

Example:

"month"

groupings
string | null
required

The grouping aggregations applied to the filtered data.

Example:

"cost_type, tag:account"

on_demand_costs_scope
string
required

The scope for the costs. Possible values: discountable, all.

Example:

"discountable"

filter
string | null
required

The filter applied to the FinancialCommitmentReport. Additional documentation available at https://docs.vantage.sh/vql.

user_token
string | null

The token for the User who created this FinancialCommitmentReport.